> ## Documentation Index
> Fetch the complete documentation index at: https://help.decodo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get endpoints by type

> Get a list of endpoints by a specified type for Residential subscription



## OpenAPI

````yaml /api-reference/jero_public_api.yaml get /v2/endpoints/{type}
openapi: 3.1.0
info:
  title: Smartproxy
  version: '1.2'
servers:
  - url: https://api.decodo.com
security:
  - sec0: []
tags:
  - name: Sub-users
    description: Manage sub-users for Residential subscription
  - name: Whitelisted IPs
    description: Manage whitelisted IPs for Residential subscription
  - name: Endpoints
    description: Manage and generate proxy endpoints
  - name: Subscriptions
    description: Subscription information
paths:
  /v2/endpoints/{type}:
    get:
      tags:
        - Endpoints
      summary: Get endpoints by type
      description: Get a list of endpoints by a specified type for Residential subscription
      operationId: get-endpoints-by-type
      parameters:
        - name: type
          in: path
          description: ''
          schema:
            type: string
            enum:
              - random
              - sticky
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    [
                      0:{
                        "location":"Random"
                        "hostname":"gate.decodo.com"
                        "port_range":"7000"
                      }
                      1:{
                        "location":"Canada"
                        "hostname":"ca.decodo.com"
                        "port_range":"20000"
                    }
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "error_code":"bad_request"
                      "message":"Bad proxy type provided."
                    }
      deprecated: false
      security: []
components: {}

````